﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace WindowsFormsApplication424
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Form2 frm = new Form2();
            frm.MdiParent = this;
            frm.Show();
            frm.Dock = DockStyle.Right;
        }

        private void ultraTabbedMdiManager1_TabClosing(object sender, Infragistics.Win.UltraWinTabbedMdi.CancelableMdiTabEventArgs e)
        {
            MdiChildForm form = (MdiChildForm)e.Tab.Form;

            if (form != null)
            {
                DockableControlPane pane = form.Pane;

                pane.IsMdiChild = false;

                if (pane.Control != null)
                    pane.Control.Dispose(); //removes from DockManager collections

                pane.Dispose();

                e.Cancel = true;
            }

        }
    }
}
